package domain


type AlibabaWdkOldposOrderCreatePosPayChannel struct {
    /*
        该支付方式对应的支付金额     */
    PayAmount  *int64 `json:"pay_amount,omitempty" `

    /*
        支付方式编码，盒马给出了常见支付方式的编码     */
    PayType  *string `json:"pay_type,omitempty" `

}

func (s *AlibabaWdkOldposOrderCreatePosPayChannel) SetPayAmount(v int64) *AlibabaWdkOldposOrderCreatePosPayChannel {
    s.PayAmount = &v
    return s
}
func (s *AlibabaWdkOldposOrderCreatePosPayChannel) SetPayType(v string) *AlibabaWdkOldposOrderCreatePosPayChannel {
    s.PayType = &v
    return s
}
